import BN from "bn.js";
import { ChainType, IXrpGetTransactionRes, TransactionSuccessStatus, XrpTransactionTypeUnion } from "../../../types";
import { AddressAmount, BalanceDecreasingProps, BalanceDecreasingSummaryResponse, PaymentSummaryProps, PaymentSummaryResponse, TxBaseFull } from "./TxBase";
export declare class XRPTransaction extends TxBaseFull<IXrpGetTransactionRes> {
    get chain(): ChainType;
    get txid(): string;
    get stdTxid(): string;
    get type(): XrpTransactionTypeUnion;
    get reference(): string[];
    get stdPaymentReference(): string;
    get unixTimestamp(): number;
    get isNativePayment(): boolean;
    get currencyName(): string;
    get elementaryUnits(): BN;
    get fee(): BN;
    get sourceAddresses(): string[];
    get receivingAddresses(): string[];
    get receivedAmounts(): AddressAmount[];
    get intendedReceivedAmounts(): AddressAmount[];
    get feeSignerTotalAmount(): AddressAmount;
    get spentAmounts(): AddressAmount[];
    get intendedSpentAmounts(): AddressAmount[];
    get successStatus(): TransactionSuccessStatus;
    paymentSummary(props: PaymentSummaryProps): PaymentSummaryResponse;
    balanceDecreasingSummary({ sourceAddressIndicator }: BalanceDecreasingProps): BalanceDecreasingSummaryResponse;
}
//# sourceMappingURL=XRPTransaction.d.ts.map